/*
 * Class TIME_VALUE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_875 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_875 [] = {0xFF01,237,874,0xFFFF};
static const EIF_TYPE_INDEX egt_2_875 [] = {0xFF01,874,0xFFFF};
static const EIF_TYPE_INDEX egt_3_875 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_875 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_875 [] = {0xFF01,874,0xFFFF};
static const EIF_TYPE_INDEX egt_6_875 [] = {0xFF01,874,0xFFFF};
static const EIF_TYPE_INDEX egt_7_875 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_875 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_875 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_875 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_875 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_875 [] = {0xFF01,874,0xFFFF};
static const EIF_TYPE_INDEX egt_13_875 [] = {0xFF01,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_875 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_15_875 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_875[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_875), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_875), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_875), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_875), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_875), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_875), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_875), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_875), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_875), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_875), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_875), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_875), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D5 /*874*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_875), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12721, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12722, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_875), 12723, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_875), 12724, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12725, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12726, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12727, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12728, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12729, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_875), 12730, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12749, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12731, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12732, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 12735, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12741, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12742, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12743, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12740, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12739, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 12733, 4},
	{EIF_NON_GENERIC(0x019D /*206*/), 12734, 0},
	{EIF_NON_GENERIC(0x019D /*206*/), 12736, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12737, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12738, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12744, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12745, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12746, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12747, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12748, 0xFFFFFFFF},
};
void Init875(void)
{
	IDSC(desc_875, 0, 874);
	IDSC(desc_875 + 1, 1, 874);
	IDSC(desc_875 + 32, 397, 874);
	IDSC(desc_875 + 36, 395, 874);
	IDSC(desc_875 + 42, 393, 874);
	IDSC(desc_875 + 51, 384, 874);
}


#ifdef __cplusplus
}
#endif
